commit:     9185fe1f4da39f9c847e8f39fcb54593b9e5f3fa
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 18 03:19:40 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 04:01:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9185fe1f

net-mail/fdm: add 2.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/fdm/Manifest       |  1 +
 net-mail/fdm/fdm-2.1.ebuild | 46 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/net-mail/fdm/Manifest b/net-mail/fdm/Manifest
index 1a6c5cc60af1..43e26b5d3da1 100644
--- a/net-mail/fdm/Manifest
+++ b/net-mail/fdm/Manifest
@@ -1 +1,2 @@
 DIST fdm-2.0.tar.gz 313596 BLAKE2B 
8b323f4a8953a46773a4e5a1214444dc97db4346f50990fcfb4c9d79ae40bbb73b61e3bf41bc95b76e44f6bed7b398cb210d58901823752e92ca7b83189cbc7e
 SHA512 
14e923202d17083ceb3b91b3a442d7e512c37f3d29535f22d8c0c4e1d57c97acc5d5465d643ed0cf437b3945ef777a6e38da3117219c2d54dcec88ecab1e10d9
+DIST fdm-2.1.tar.gz 318803 BLAKE2B 
2bb693177c69665d2354c382ab663a3283c5edae2cdf6f3bf2fe4133309de9d43e0e8ad3830eeee4eb002fe202eb20f982cdc892fb0b0d1698b13aa79f22be0a
 SHA512 
6a864048e1f25eedbb6af86451b258678b91e3c225b3b065a1aeb043f125405dfa109a0fbd77363394e14050053c7d81093d5b9d6a2dd155fb00dc98455028b4

diff --git a/net-mail/fdm/fdm-2.1.ebuild b/net-mail/fdm/fdm-2.1.ebuild
new file mode 100644
index 000000000000..bf1b62354bb5
--- /dev/null
+++ b/net-mail/fdm/fdm-2.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Fetch, filter and deliver mail"
+HOMEPAGE="https://github.com/nicm/fdm";
+SRC_URI="https://github.com/nicm/fdm/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="examples pcre"
+
+DEPEND="
+       dev-libs/openssl:0=
+       sys-libs/tdb
+       pcre? ( dev-libs/libpcre )
+"
+RDEPEND="
+       ${DEPEND}
+       acct-group/fdm
+       acct-user/fdm
+"
+
+DOCS=( CHANGES README TODO MANUAL )
+
+src_prepare() {
+       default
+
+       # Change user '_fdm' to 'fdm'
+       sed -e 's/_fdm/fdm/g' -i fdm.h || die
+}
+
+src_configure() {
+       econf $(use_enable pcre)
+}
+
+src_install() {
+       default
+
+       if use examples ; then
+               docinto examples
+               dodoc examples/*
+       fi
+}

Reply via email to